/*
 * class.hpp
 *
 *  All VictimID header files should include this as their first header file
 *
 *  Created on: 16/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_CLASS_HPP_
#define VICTIMID_CLASS_HPP_

#include <ros/ros.h>
#include <pluginlib/class_list_macros.h>
#include <tf/transform_listener.h>

#include <crosbot/geometry.hpp>
#include <crosbot/handle.hpp>
#include <crosbot/utils.hpp>

namespace casualty {

// Put these definitions here for cyclic references
class AutoVictimId;
typedef crosbot::Handle<AutoVictimId> AutoVictimIdPtr;

} // namespace casualty

#endif /* VICTIMID_CLASS_HPP_ */
