/*
 * paused.hpp
 *
 *  Created on: 16/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_STATE_INVESTIGATE_HPP_
#define VICTIMID_STATE_INVESTIGATE_HPP_

#include "victim_id/state.hpp"

#define VID_STATE_INVESTIGATE    "state_investigate"

namespace casualty {

class VIDSInvestigate : public VIDState {
public:
    VIDSInvestigate();
    ~VIDSInvestigate() {};

protected:
    VIDSReturnDataPtr doExecute(VIDDataPtr data);

    // Updated status of delayed holes
    void updatedDelayedHoles(VIDDataPtr data, Point3D point, std::string frame, double radius, bool sideInspected);
};

} // namespace casualty

#endif /* VICTIMID_STATE_INVESTIGATE_HPP_ */
