/*
 * paused.hpp
 *
 *  Created on: 16/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_STATE_LOST_HOT_STOP_HPP_
#define VICTIMID_STATE_LOST_HOT_STOP_HPP_

#include "victim_id/state.hpp"

#include "victim_id/skills/skillLookTrack.hpp"

#define VID_STATE_LOST_HOT_STOP    "state_lost_hot_spot"

namespace casualty {

class VIDSLostHotSpot : public VIDState {
public:
    VIDSLostHotSpot();
    ~VIDSLostHotSpot() {};

protected:
    VIDSReturnDataPtr doExecute(VIDDataPtr data);

    Point3D pointSlam;                      // Blob that we are centering on in the reference frame of the robot
    ros::Time start;                        // Time since we started trying to centre

    VIDSkillLookTrackPtr lastTrack;         // Last instance of the track skill (if we continue)
};

} // namespace casualty

#endif /* VICTIMID_STATE_LOST_HOT_STOP_HPP_ */
