/*
 * paused.hpp
 *
 *  Created on: 16/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_EXPLORE_PAUSED_HPP_
#define VICTIMID_EXPLORE_PAUSED_HPP_

#include "victim_id/state.hpp"

#define VID_STATE_EXPLORE    "state_explore"

namespace casualty {

class VIDSExplore : public VIDState {
public:
    VIDSExplore();
    ~VIDSExplore() {};

protected:
    VIDSReturnDataPtr doExecute(VIDDataPtr data);

    // Lookup a delayed hole to investigate
    bool delayedInvestigation(VIDDataPtr data, int& investIndex, bool& sideInspected);
};

} // namespace casualty

#endif /* VICTIMID_EXPLORE_PAUSED_HPP_ */
